guideline.bouts.num {activpalProcessing} | R Documentation

## Estimate the Number of Bouts of Activity that Qualify Towards Meeting the Physical Activity Guidelines

### Description

This function calculates the number of guideline bouts (bouts of MVPA (>=3 METs) that last at least 10 min. Allows for 20 percent of time below 3 METs i.e. if bout is 10 min long, 2 min can be <3 METs

### Usage

    guideline.bouts.num(mets)

### Arguments

`mets` | mets is a second-by-second numeric vector

### Value

numeric value indicating the number of guideline bouts

### Author(s)

John Staudenmayer

### See Also

`guideline.bouts.min`

### Examples

    data(second.by.second)
    mets <- second.by.second.data$mets

    guideline.bouts.num(mets)

    # summarize by date
    tapply(second.by.second.data$mets, second.by.second.data$date, guideline.bouts.num)

[Package activpalProcessing version 1.0.2 Index]